<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Database..::.Put Method (MultipleKeyDatabaseEntry, Transaction)
Database Class See Also Send Feedback

Store multiple data items using keys from the buffer to which the key parameter refers and data values from the buffer to which the data parameter refers. A successful bulk operation is logically equivalent to a loop through each key/data pair, performing a Put for each one.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public void Put(
    	MultipleKeyDatabaseEntry key,
    	Transaction txn
    )

Visual Basic (Declaration)

    Public Sub Put ( _
    	key As MultipleKeyDatabaseEntry, _
    	txn As Transaction _
    )

Visual C++

    public:
    void Put(
    	MultipleKeyDatabaseEntry^ key,
    	Transaction^ txn
    )

#### Parameters

key
  Type: BerkeleyDB..::.MultipleKeyDatabaseEntry
  Multiple key/data pairs to store in the database

txn
  Type: BerkeleyDB..::.Transaction
  If the operation is part of an application-specified transaction, txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null.

# See Also

Database Class
Put Overload
BerkeleyDB Namespace